Name:           perl-Mail-Sender
Version:        0.903
Epoch:          1
Release:        8
Summary:        Module for sending mails with attachments through an SMTP server
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Mail-Sender
Source0:        https://cpan.metacpan.org/authors/id/C/CA/CAPOEIRAB/Mail-Sender-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  coreutils findutils make perl-interpreter perl-generators perl(base) perl(Carp)
BuildRequires:  perl(CPAN::Meta) >= 2.120900 perl(Encode) perl(Exporter) perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Basename) perl(File::Spec) perl(IO::Handle) perl(IO::Socket::INET)
BuildRequires:  perl(MIME::Base64) perl(MIME::QuotedPrint) perl(Socket) perl(strict) perl(Symbol)
BuildRequires:  perl(Test::More) >= 0.88 perl(Tie::Handle) perl(Time::Local) perl(Try::Tiny) >= 0.24 perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Mail::Sender provides an object-oriented interface to sending mails. It directly connects to the mail
server using IO::Socket.

%package help
Summary:        Help package for perl-Mail-Sender

%description help
This package contains some man help files for perl-Mail-Sender.

%prep
%autosetup -n Mail-Sender-%{version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build < /dev/null

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type d -name lib64 | xargs rm -r
find $RPM_BUILD_ROOT -type f -name Win32.pm | xargs rm
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Mail/*

%files help
%{_mandir}/man3/*.3pm*

%changelog
* Fri Dec 20 2019 lingsheng <lingsheng@huawei.com> - 1:0.903-8
- Package init
